﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek THS700x DMM Measure RS-232
INSTRUMENT:            Sub Tek THS700x Scope Measure RS-232
DATE:                  2010-10-19 10:11:33
AUTHOR:                Fluke
REVISION:              $Revision: 19178 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       91
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        THS710A, THS720A, THS730A, THS720P
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         DMM_MEASURE                  PSUBI("DMM")
  1.002  JMPL         SCOPE_MEASURE                PSUBI("Scope")
  1.003  DISP         Subprocedure not found!
  1.004  END

  1.005  EVAL   Increment step number

# ****************** Sub Tek THS700x DMM Measure RS-232 ****************
# This command must be execute many times, then can fetch the right value.

  2.001  LABEL        DMM_MEASURE

  2.002  MATH         Loop = 0

  2.003  DO
  2.004  PORT         DMM:VAL?[I!]
  2.005  MATH         Loop = Loop + 1
  2.006  UNTIL        Loop > 10

  2.007  PORT         DMM:VAL?[I]
  2.008  MATH         @DMM_Meas = MEM

  2.009  END

  2.010  EVAL   Increment step number

# ***************** Sub Tek THS700x Scope Measure RS-232 ****************
# This command must be execute many times, then can fetch the right value.

  3.001  LABEL        SCOPE_MEASURE

  3.002  MATH         Loop = 0

  3.003  DO
  3.004  PORT         MEASU:MEAS1:VAL?[I!]
  3.005  MATH         Loop = Loop + 1
  3.006  UNTIL        Loop > 10

  3.007  PORT         MEASU:MEAS1:VAL?[I]
  3.008  MATH         @SCOPE_Meas = MEM

  3.009  END
